Bug 1478571 - Cloud volume operations are blocked by "Must filter on valid attributes for resource" error
Cloud volume operations are blocked by "Must filter on valid attributes for r...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity urgent
: GA
: 5.8.2
Assigned To: Aparna Karve
Ido Ovadia
storage
: Regression, ZStream
Depends On: 1471162
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 16:01 EDT by Satoe Imaishi
Modified: 2017-10-25 06:41 EDT (History)
12 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1471162
Environment:
Last Closed: 2017-10-23 20:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-08-09 08:31:20 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/ccbbe811bcce150e428ecb4a6d2999b40b171ba1

commit ccbbe811bcce150e428ecb4a6d2999b40b171ba1
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu Jul 27 12:38:45 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 08:25:52 2017 -0400

    Merge pull request #15600 from AparnaKarve/bz1471162
    
    Add a virtual column for `supports_block_storage?` and `supports_cloud_object_store_container_create?`
    (cherry picked from commit d7611ab2ed3163ba7a89119d7ea17023aae784ec)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478571
    https://bugzilla.redhat.com/show_bug.cgi?id=1479802

 app/models/ext_management_system.rb       | 10 ++++++++++
 spec/models/ext_management_system_spec.rb | 16 ++++++++++++++++
 2 files changed, 26 insertions(+)
Comment 3 CFME Bot 2017-08-09 15:08:25 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/de6f361008e98570bd0e4260c3acb06be04129d4

commit de6f361008e98570bd0e4260c3acb06be04129d4
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jul 27 17:18:57 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 15:04:33 2017 -0400

    Merge pull request #1711 from AparnaKarve/bz1471162
    
    Modify the API params to support filtering on non-column methods
    (cherry picked from commit 38c9ebd8b13d5e53bc372045c4b41cd1458ddec1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478571

 .../cloud_object_store_container_form_controller.js                     | 2 +-
 .../controllers/cloud_volume/cloud_volume_form_controller.js            | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 4 Ido Ovadia 2017-08-30 08:40:04 EDT
Verified
========
CFME version: 5.8.2.0
Comment 8 errata-xmlrpc 2017-10-23 20:36:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.